#include "src/gx_accordion_menu_create.c"
#include "src/gx_accordion_menu_draw.c"
#include "src/gx_accordion_menu_event_process.c"
#include "src/gx_accordion_menu_position.c"
#include "src/gx_animation_canvas_define.c"
#include "src/gx_animation_complete.c"
#include "src/gx_animation_create.c"
#include "src/gx_animation_delete.c"
#include "src/gx_animation_drag_disable.c"
#include "src/gx_animation_drag_enable.c"
#include "src/gx_animation_drag_event_process.c"
#include "src/gx_animation_drag_tracking.c"
#include "src/gx_animation_drag_tracking_start.c"
#include "src/gx_animation_landing_speed_set.c"
#include "src/gx_animation_slide_landing.c"
#include "src/gx_animation_slide_landing_start.c"
#include "src/gx_animation_start.c"
#include "src/gx_animation_stop.c"
#include "src/gx_animation_update.c"
#include "src/gx_binres_font_load.c"
#include "src/gx_binres_language_count_get.c"
#include "src/gx_binres_language_info_load.c"
#include "src/gx_binres_language_table_load.c"
#include "src/gx_binres_pixelmap_load.c"
#include "src/gx_binres_theme_load.c"
#include "src/gx_brush_default.c"
#include "src/gx_brush_define.c"
#include "src/gx_button_background_draw.c"
#include "src/gx_button_create.c"
#include "src/gx_button_deselect.c"
#include "src/gx_button_draw.c"
#include "src/gx_button_event_process.c"
#include "src/gx_button_select.c"
#include "src/gx_button_siblings_deselect.c"
#include "src/gx_canvas_alpha_set.c"
#include "src/gx_canvas_arc_draw.c"
#include "src/gx_canvas_block_move.c"
#include "src/gx_canvas_circle_draw.c"
#include "src/gx_canvas_composite_create.c"
#include "src/gx_canvas_create.c"
#include "src/gx_canvas_delete.c"
#include "src/gx_canvas_dirty_mark.c"
#include "src/gx_canvas_drawing_complete.c"
#include "src/gx_canvas_drawing_initiate.c"
#include "src/gx_canvas_ellipse_draw.c"
#include "src/gx_canvas_glyphs_draw.c"
#include "src/gx_canvas_hardware_layer_bind.c"
#include "src/gx_canvas_hide.c"
#include "src/gx_canvas_line_draw.c"
#include "src/gx_canvas_memory_define.c"
#include "src/gx_canvas_mouse_define.c"
#include "src/gx_canvas_mouse_hide.c"
#include "src/gx_canvas_mouse_show.c"
#include "src/gx_canvas_offset_set.c"
#include "src/gx_canvas_pie_draw.c"
#include "src/gx_canvas_pixel_draw.c"
#include "src/gx_canvas_pixelmap_blend.c"
#include "src/gx_canvas_pixelmap_draw.c"
#include "src/gx_canvas_pixelmap_get.c"
#include "src/gx_canvas_pixelmap_rotate.c"
#include "src/gx_canvas_pixelmap_tile.c"
#include "src/gx_canvas_polygon_draw.c"
#include "src/gx_canvas_rectangle_draw.c"
#include "src/gx_canvas_rotated_text_draw.c"
#include "src/gx_canvas_shift.c"
#include "src/gx_canvas_show.c"
#include "src/gx_canvas_text_draw.c"
#include "src/gx_checkbox_create.c"
#include "src/gx_checkbox_draw.c"
#include "src/gx_checkbox_event_process.c"
#include "src/gx_checkbox_pixelmap_set.c"
#include "src/gx_checkbox_select.c"
#include "src/gx_circular_gauge_angle_get.c"
#include "src/gx_circular_gauge_angle_increment_calculate.c"
#include "src/gx_circular_gauge_angle_set.c"
#include "src/gx_circular_gauge_animation_set.c"
#include "src/gx_circular_gauge_background_draw.c"
#include "src/gx_circular_gauge_create.c"
#include "src/gx_circular_gauge_draw.c"
#include "src/gx_circular_gauge_event_process.c"
#include "src/gx_circular_gauge_needle_dirty_mark.c"
#include "src/gx_circular_gauge_needle_rectangle_calculate.c"
#include "src/gx_circular_gauge_needle_rotate.c"
#include "src/gx_context_brush_default.c"
#include "src/gx_context_brush_define.c"
#include "src/gx_context_brush_get.c"
#include "src/gx_context_brush_pattern_set.c"
#include "src/gx_context_brush_set.c"
#include "src/gx_context_brush_style_set.c"
#include "src/gx_context_brush_width_set.c"
#include "src/gx_context_color_get.c"
#include "src/gx_context_fill_color_set.c"
#include "src/gx_context_font_get.c"
#include "src/gx_context_font_set.c"
#include "src/gx_context_line_color_set.c"
#include "src/gx_context_pixelmap_get.c"
#include "src/gx_context_pixelmap_set.c"
#include "src/gx_context_raw_brush_define.c"
#include "src/gx_context_raw_fill_color_set.c"
#include "src/gx_context_raw_line_color_set.c"
#include "src/gx_context_string_get.c"
#include "src/gx_display_active_language_set.c"
#include "src/gx_display_canvas_dirty.c"
#include "src/gx_display_color_set.c"
#include "src/gx_display_color_table_set.c"
#include "src/gx_display_create.c"
#include "src/gx_display_delete.c"
#include "src/gx_display_font_table_set.c"
#include "src/gx_display_language_table_get.c"
#include "src/gx_display_language_table_set.c"
#include "src/gx_display_pixelmap_table_set.c"
#include "src/gx_display_string_get.c"
#include "src/gx_display_string_table_get.c"
#include "src/gx_display_theme_install.c"
#include "src/gx_drop_list_background_draw.c"
#include "src/gx_drop_list_close.c"
#include "src/gx_drop_list_create.c"
#include "src/gx_drop_list_draw.c"
#include "src/gx_drop_list_event_process.c"
#include "src/gx_drop_list_open.c"
#include "src/gx_drop_list_pixelmap_set.c"
#include "src/gx_drop_list_popup_get.c"
#include "src/gx_generic_scroll_wheel_children_position.c"
#include "src/gx_generic_scroll_wheel_create.c"
#include "src/gx_generic_scroll_wheel_down_wrap.c"
#include "src/gx_generic_scroll_wheel_draw.c"
#include "src/gx_generic_scroll_wheel_event_process.c"
#include "src/gx_generic_scroll_wheel_row_height_set.c"
#include "src/gx_generic_scroll_wheel_scroll.c"
#include "src/gx_generic_scroll_wheel_total_rows_set.c"
#include "src/gx_generic_scroll_wheel_up_wrap.c"
#include "src/gx_generic_scroll_wheel_wrap_style_check.c"
#include "src/gx_horizontal_list_children_position.c"
#include "src/gx_horizontal_list_create.c"
#include "src/gx_horizontal_list_event_process.c"
#include "src/gx_horizontal_list_left_wrap.c"
#include "src/gx_horizontal_list_page_index_set.c"
#include "src/gx_horizontal_list_right_wrap.c"
#include "src/gx_horizontal_list_scroll.c"
#include "src/gx_horizontal_list_scroll_info_get.c"
#include "src/gx_horizontal_list_selected_index_get.c"
#include "src/gx_horizontal_list_selected_set.c"
#include "src/gx_horizontal_list_selected_visible.c"
#include "src/gx_horizontal_list_selected_widget_get.c"
#include "src/gx_horizontal_list_slide_back_check.c"
#include "src/gx_horizontal_list_total_columns_set.c"
#include "src/gx_horizontal_scrollbar_create.c"
#include "src/gx_icon_background_draw.c"
#include "src/gx_icon_button_create.c"
#include "src/gx_icon_button_draw.c"
#include "src/gx_icon_button_pixelmap_set.c"
#include "src/gx_icon_create.c"
#include "src/gx_icon_draw.c"
#include "src/gx_icon_event_process.c"
#include "src/gx_icon_pixelmap_set.c"
#include "src/gx_icon_pixelmap_update.c"
#include "src/gx_image_reader_colorspace_convert.c"
#include "src/gx_image_reader_create.c"
#include "src/gx_image_reader_image_decode.c"
#include "src/gx_image_reader_jpeg_decode.c"
#include "src/gx_image_reader_nearest_palette_color_get.c"
#include "src/gx_image_reader_palette_set.c"
#include "src/gx_image_reader_pixel_read_callback_set.c"
#include "src/gx_image_reader_pixel_write_callback_set.c"
#include "src/gx_image_reader_png_decode.c"
#include "src/gx_image_reader_rle_encode.c"
#include "src/gx_image_reader_start.c"
#include "src/gx_line_chart_axis_draw.c"
#include "src/gx_line_chart_create.c"
#include "src/gx_line_chart_data_draw.c"
#include "src/gx_line_chart_draw.c"
#include "src/gx_line_chart_update.c"
#include "src/gx_line_chart_y_scale_calculate.c"
#include "src/gx_menu_create.c"
#include "src/gx_menu_draw.c"
#include "src/gx_menu_event_process.c"
#include "src/gx_menu_insert.c"
#include "src/gx_menu_position.c"
#include "src/gx_menu_remove.c"
#include "src/gx_menu_text_draw.c"
#include "src/gx_menu_text_offset_set.c"
#include "src/gx_monochrome_driver_disabled_button_line_draw.c"
#include "src/gx_multi_line_text_button_create.c"
#include "src/gx_multi_line_text_button_draw.c"
#include "src/gx_multi_line_text_button_event_process.c"
#include "src/gx_multi_line_text_button_line_pointers_set.c"
#include "src/gx_multi_line_text_button_text_draw.c"
#include "src/gx_multi_line_text_button_text_id_set.c"
#include "src/gx_multi_line_text_button_text_set.c"
#include "src/gx_multi_line_text_input_backspace.c"
#include "src/gx_multi_line_text_input_buffer_clear.c"
#include "src/gx_multi_line_text_input_buffer_get.c"
#include "src/gx_multi_line_text_input_char_insert.c"
#include "src/gx_multi_line_text_input_char_remove.c"
#include "src/gx_multi_line_text_input_copy.c"
#include "src/gx_multi_line_text_input_create.c"
#include "src/gx_multi_line_text_input_cursor_pos_calculate.c"
#include "src/gx_multi_line_text_input_cursor_pos_get.c"
#include "src/gx_multi_line_text_input_cursor_pos_update.c"
#include "src/gx_multi_line_text_input_cursor_visible.c"
#include "src/gx_multi_line_text_input_cut.c"
#include "src/gx_multi_line_text_input_delete.c"
#include "src/gx_multi_line_text_input_down_arrow.c"
#include "src/gx_multi_line_text_input_draw.c"
#include "src/gx_multi_line_text_input_end.c"
#include "src/gx_multi_line_text_input_event_process.c"
#include "src/gx_multi_line_text_input_fill_color_set.c"
#include "src/gx_multi_line_text_input_highlight_rectangle_get.c"
#include "src/gx_multi_line_text_input_home.c"
#include "src/gx_multi_line_text_input_keydown_process.c"
#include "src/gx_multi_line_text_input_left_arrow.c"
#include "src/gx_multi_line_text_input_mark_down.c"
#include "src/gx_multi_line_text_input_mark_end.c"
#include "src/gx_multi_line_text_input_mark_home.c"
#include "src/gx_multi_line_text_input_mark_next.c"
#include "src/gx_multi_line_text_input_mark_previous.c"
#include "src/gx_multi_line_text_input_mark_up.c"
#include "src/gx_multi_line_text_input_paste.c"
#include "src/gx_multi_line_text_input_right_arrow.c"
#include "src/gx_multi_line_text_input_style_add.c"
#include "src/gx_multi_line_text_input_style_remove.c"
#include "src/gx_multi_line_text_input_style_set.c"
#include "src/gx_multi_line_text_input_text_color_set.c"
#include "src/gx_multi_line_text_input_text_rectangle_get.c"
#include "src/gx_multi_line_text_input_text_select.c"
#include "src/gx_multi_line_text_input_text_set.c"
#include "src/gx_multi_line_text_input_up_arrow.c"
#include "src/gx_multi_line_text_view_create.c"
#include "src/gx_multi_line_text_view_display_info_get.c"
#include "src/gx_multi_line_text_view_draw.c"
#include "src/gx_multi_line_text_view_event_process.c"
#include "src/gx_multi_line_text_view_font_set.c"
#include "src/gx_multi_line_text_view_line_cache_update.c"
#include "src/gx_multi_line_text_view_line_space_set.c"
#include "src/gx_multi_line_text_view_scroll.c"
#include "src/gx_multi_line_text_view_scroll_info_get.c"
#include "src/gx_multi_line_text_view_string_total_rows_compute.c"
#include "src/gx_multi_line_text_view_text_color_set.c"
#include "src/gx_multi_line_text_view_text_draw.c"
#include "src/gx_multi_line_text_view_text_id_set.c"
#include "src/gx_multi_line_text_view_text_set.c"
#include "src/gx_multi_line_text_view_visible_rows_compute.c"
#include "src/gx_multi_line_text_view_whitespace_set.c"
#include "src/gx_numeric_pixelmap_prompt_create.c"
#include "src/gx_numeric_pixelmap_prompt_format.c"
#include "src/gx_numeric_pixelmap_prompt_format_function_set.c"
#include "src/gx_numeric_pixelmap_prompt_value_set.c"
#include "src/gx_numeric_prompt_create.c"
#include "src/gx_numeric_prompt_format.c"
#include "src/gx_numeric_prompt_format_function_set.c"
#include "src/gx_numeric_prompt_value_set.c"
#include "src/gx_numeric_scroll_wheel_create.c"
#include "src/gx_numeric_scroll_wheel_range_set.c"
#include "src/gx_numeric_scroll_wheel_text_get.c"
#include "src/gx_pixelmap_button_create.c"
#include "src/gx_pixelmap_button_draw.c"
#include "src/gx_pixelmap_button_event_process.c"
#include "src/gx_pixelmap_button_pixelmap_set.c"
#include "src/gx_pixelmap_button_transparent_detect.c"
#include "src/gx_pixelmap_prompt_background_draw.c"
#include "src/gx_pixelmap_prompt_create.c"
#include "src/gx_pixelmap_prompt_draw.c"
#include "src/gx_pixelmap_prompt_pixelmap_set.c"
#include "src/gx_pixelmap_slider_create.c"
#include "src/gx_pixelmap_slider_draw.c"
#include "src/gx_pixelmap_slider_event_process.c"
#include "src/gx_pixelmap_slider_pixelmap_set.c"
#include "src/gx_pixelmap_slider_pixelmap_update.c"
#include "src/gx_popup_list_event_process.c"
#include "src/gx_progress_bar_background_draw.c"
#include "src/gx_progress_bar_create.c"
#include "src/gx_progress_bar_draw.c"
#include "src/gx_progress_bar_event_process.c"
#include "src/gx_progress_bar_font_set.c"
#include "src/gx_progress_bar_info_set.c"
#include "src/gx_progress_bar_pixelmap_set.c"
#include "src/gx_progress_bar_range_set.c"
#include "src/gx_progress_bar_text_color_set.c"
#include "src/gx_progress_bar_text_draw.c"
#include "src/gx_progress_bar_value_set.c"
#include "src/gx_prompt_create.c"
#include "src/gx_prompt_draw.c"
#include "src/gx_prompt_event_process.c"
#include "src/gx_prompt_font_set.c"
#include "src/gx_prompt_text_color_set.c"
#include "src/gx_prompt_text_draw.c"
#include "src/gx_prompt_text_get.c"
#include "src/gx_prompt_text_id_set.c"
#include "src/gx_prompt_text_set.c"
#include "src/gx_radial_progress_bar_anchor_set.c"
#include "src/gx_radial_progress_bar_background_draw.c"
#include "src/gx_radial_progress_bar_create.c"
#include "src/gx_radial_progress_bar_draw.c"
#include "src/gx_radial_progress_bar_event_process.c"
#include "src/gx_radial_progress_bar_font_set.c"
#include "src/gx_radial_progress_bar_info_set.c"
#include "src/gx_radial_progress_bar_resize.c"
#include "src/gx_radial_progress_bar_size_update.c"
#include "src/gx_radial_progress_bar_text_color_set.c"
#include "src/gx_radial_progress_bar_text_draw.c"
#include "src/gx_radial_progress_bar_value_calculate.c"
#include "src/gx_radial_progress_bar_value_set.c"
#include "src/gx_radial_slider_anchor_angle_calculate.c"
#include "src/gx_radial_slider_anchor_angles_set.c"
#include "src/gx_radial_slider_angle_calculate.c"
#include "src/gx_radial_slider_angle_set.c"
#include "src/gx_radial_slider_animation_set.c"
#include "src/gx_radial_slider_animation_start.c"
#include "src/gx_radial_slider_animation_update.c"
#include "src/gx_radial_slider_create.c"
#include "src/gx_radial_slider_draw.c"
#include "src/gx_radial_slider_event_process.c"
#include "src/gx_radial_slider_info_get.c"
#include "src/gx_radial_slider_info_set.c"
#include "src/gx_radial_slider_needle_rectangle_calculate.c"
#include "src/gx_radial_slider_pixelmap_set.c"
#include "src/gx_radio_button_create.c"
#include "src/gx_radio_button_draw.c"
#include "src/gx_radio_button_pixelmap_set.c"
#include "src/gx_rich_text_view_context_peek.c"
#include "src/gx_rich_text_view_context_pop.c"
#include "src/gx_rich_text_view_context_push.c"
#include "src/gx_rich_text_view_context_reset.c"
#include "src/gx_rich_text_view_context_restore.c"
#include "src/gx_rich_text_view_context_save.c"
#include "src/gx_rich_text_view_create.c"
#include "src/gx_rich_text_view_draw.c"
#include "src/gx_rich_text_view_fonts_set.c"
#include "src/gx_rich_text_view_line_info_get.c"
#include "src/gx_rich_text_view_scroll_info_get.c"
#include "src/gx_rich_text_view_tag_enter.c"
#include "src/gx_rich_text_view_text_draw.c"
#include "src/gx_rich_text_view_text_total_height_calculate.c"
#include "src/gx_screen_stack_create.c"
#include "src/gx_screen_stack_pop.c"
#include "src/gx_screen_stack_push.c"
#include "src/gx_screen_stack_reset.c"
#include "src/gx_scroll_thumb_create.c"
#include "src/gx_scroll_thumb_draw.c"
#include "src/gx_scroll_thumb_event_process.c"
#include "src/gx_scroll_thumb_shift_limit.c"
#include "src/gx_scroll_wheel_create.c"
#include "src/gx_scroll_wheel_event_process.c"
#include "src/gx_scroll_wheel_gradient_alpha_set.c"
#include "src/gx_scroll_wheel_gradient_create.c"
#include "src/gx_scroll_wheel_row_height_set.c"
#include "src/gx_scroll_wheel_scroll.c"
#include "src/gx_scroll_wheel_selected_background_set.c"
#include "src/gx_scroll_wheel_selected_get.c"
#include "src/gx_scroll_wheel_selected_row_calculate.c"
#include "src/gx_scroll_wheel_selected_set.c"
#include "src/gx_scroll_wheel_speed_set.c"
#include "src/gx_scroll_wheel_total_rows_set.c"
#include "src/gx_scroll_wheel_wrap_style_check.c"
#include "src/gx_scrollbar_draw.c"
#include "src/gx_scrollbar_event_process.c"
#include "src/gx_scrollbar_limit_check.c"
#include "src/gx_scrollbar_reset.c"
#include "src/gx_scrollbar_size_update.c"
#include "src/gx_scrollbar_thumb_position_calculate.c"
#include "src/gx_scrollbar_value_calculate.c"
#include "src/gx_scrollbar_value_set.c"
#include "src/gx_single_line_text_input_backspace.c"
#include "src/gx_single_line_text_input_buffer_clear.c"
#include "src/gx_single_line_text_input_buffer_get.c"
#include "src/gx_single_line_text_input_character_delete.c"
#include "src/gx_single_line_text_input_character_insert.c"
#include "src/gx_single_line_text_input_copy.c"
#include "src/gx_single_line_text_input_create.c"
#include "src/gx_single_line_text_input_cut.c"
#include "src/gx_single_line_text_input_draw.c"
#include "src/gx_single_line_text_input_draw_position_get.c"
#include "src/gx_single_line_text_input_end.c"
#include "src/gx_single_line_text_input_event_process.c"
#include "src/gx_single_line_text_input_fill_color_set.c"
#include "src/gx_single_line_text_input_home.c"
#include "src/gx_single_line_text_input_keydown_process.c"
#include "src/gx_single_line_text_input_left_arrow.c"
#include "src/gx_single_line_text_input_mark_end.c"
#include "src/gx_single_line_text_input_mark_home.c"
#include "src/gx_single_line_text_input_mark_next.c"
#include "src/gx_single_line_text_input_mark_previous.c"
#include "src/gx_single_line_text_input_paste.c"
#include "src/gx_single_line_text_input_position_get.c"
#include "src/gx_single_line_text_input_position_update.c"
#include "src/gx_single_line_text_input_right_arrow.c"
#include "src/gx_single_line_text_input_style_add.c"
#include "src/gx_single_line_text_input_style_remove.c"
#include "src/gx_single_line_text_input_style_set.c"
#include "src/gx_single_line_text_input_text_color_set.c"
#include "src/gx_single_line_text_input_text_rectangle_get.c"
#include "src/gx_single_line_text_input_text_select.c"
#include "src/gx_single_line_text_input_text_set.c"
#include "src/gx_slider_create.c"
#include "src/gx_slider_draw.c"
#include "src/gx_slider_event_process.c"
#include "src/gx_slider_info_set.c"
#include "src/gx_slider_needle_draw.c"
#include "src/gx_slider_needle_position_get.c"
#include "src/gx_slider_tickmarks_draw.c"
#include "src/gx_slider_travel_get.c"
#include "src/gx_slider_value_calculate.c"
#include "src/gx_slider_value_set.c"
#include "src/gx_sprite_create.c"
#include "src/gx_sprite_current_frame_set.c"
#include "src/gx_sprite_draw.c"
#include "src/gx_sprite_event_process.c"
#include "src/gx_sprite_frame_list_set.c"
#include "src/gx_sprite_start.c"
#include "src/gx_sprite_stop.c"
#include "src/gx_sprite_update.c"
#include "src/gx_string_scroll_wheel_create.c"
#include "src/gx_string_scroll_wheel_event_process.c"
#include "src/gx_string_scroll_wheel_string_id_list_set.c"
#include "src/gx_string_scroll_wheel_string_list_set.c"
#include "src/gx_string_scroll_wheel_text_get.c"
#include "src/gx_system_active_language_set.c"
#include "src/gx_system_all_canvas_dirty.c"
#include "src/gx_system_all_views_free.c"
#include "src/gx_system_animation_free.c"
#include "src/gx_system_animation_get.c"
#include "src/gx_system_bidi_text_disable.c"
#include "src/gx_system_bidi_text_enable.c"
#include "src/gx_system_canvas_refresh.c"
#include "src/gx_system_clipboard_get.c"
#include "src/gx_system_clipboard_put.c"
#include "src/gx_system_dirty_list_remove.c"
#include "src/gx_system_dirty_list_trim.c"
#include "src/gx_system_dirty_mark.c"
#include "src/gx_system_dirty_partial_add.c"
#include "src/gx_system_draw_context_get.c"
#include "src/gx_system_error_process.c"
#include "src/gx_system_event_dispatch.c"
#include "src/gx_system_event_fold.c"
#include "src/gx_system_event_remove.c"
#include "src/gx_system_event_send.c"
#include "src/gx_system_focus_claim.c"
#include "src/gx_system_free_view_get.c"
#include "src/gx_system_input_capture.c"
#include "src/gx_system_input_release.c"
#include "src/gx_system_language_table_get.c"
#include "src/gx_system_language_table_set.c"
#include "src/gx_system_lock.c"
#include "src/gx_system_memory_allocator_set.c"
#include "src/gx_system_pen_configure.c"
#include "src/gx_system_pen_flick_test.c"
#include "src/gx_system_pen_speed_init.c"
#include "src/gx_system_pen_speed_update.c"
#include "src/gx_system_private_string.c"
#include "src/gx_system_root_view_add.c"
#include "src/gx_system_rtos_bind.c"
#include "src/gx_system_screen_stack_create.c"
#include "src/gx_system_screen_stack_get.c"
#include "src/gx_system_screen_stack_pop.c"
#include "src/gx_system_screen_stack_push.c"
#include "src/gx_system_screen_stack_reset.c"
#include "src/gx_system_scroll_appearance_get.c"
#include "src/gx_system_scroll_appearance_set.c"
#include "src/gx_system_start.c"
#include "src/gx_system_string_get.c"
#include "src/gx_system_string_table_get.c"
#include "src/gx_system_string_width_get.c"
#include "src/gx_system_text_render_style_set.c"
#include "src/gx_system_thread_entry.c"
#include "src/gx_system_timer_expiration.c"
#include "src/gx_system_timer_start.c"
#include "src/gx_system_timer_stop.c"
#include "src/gx_system_timer_update.c"
#include "src/gx_system_top_root_find.c"
#include "src/gx_system_top_widget_find.c"
#include "src/gx_system_unlock.c"
#include "src/gx_system_version_string_get.c"
#include "src/gx_system_view_add.c"
#include "src/gx_system_view_fold.c"
#include "src/gx_system_view_split.c"
#include "src/gx_system_views_free.c"
#include "src/gx_system_views_update.c"
#include "src/gx_system_widget_find.c"
#include "src/gx_text_button_create.c"
#include "src/gx_text_button_draw.c"
#include "src/gx_text_button_event_process.c"
#include "src/gx_text_button_font_set.c"
#include "src/gx_text_button_text_color_set.c"
#include "src/gx_text_button_text_draw.c"
#include "src/gx_text_button_text_get.c"
#include "src/gx_text_button_text_id_set.c"
#include "src/gx_text_button_text_set.c"
#include "src/gx_text_input_cursor_blink_interval_set.c"
#include "src/gx_text_input_cursor_dirty_rectangle_get.c"
#include "src/gx_text_input_cursor_draw.c"
#include "src/gx_text_input_cursor_height_set.c"
#include "src/gx_text_input_cursor_width_set.c"
#include "src/gx_text_scroll_wheel_callback_set.c"
#include "src/gx_text_scroll_wheel_create.c"
#include "src/gx_text_scroll_wheel_draw.c"
#include "src/gx_text_scroll_wheel_dynamic_bidi_text_delete.c"
#include "src/gx_text_scroll_wheel_event_process.c"
#include "src/gx_text_scroll_wheel_font_set.c"
#include "src/gx_text_scroll_wheel_text_color_set.c"
#include "src/gx_touch_driver_generic_resistive.c"
#include "src/gx_tree_view_create.c"
#include "src/gx_tree_view_draw.c"
#include "src/gx_tree_view_event_process.c"
#include "src/gx_tree_view_indentation_set.c"
#include "src/gx_tree_view_position.c"
#include "src/gx_tree_view_root_line_color_set.c"
#include "src/gx_tree_view_root_pixelmap_set.c"
#include "src/gx_tree_view_scroll.c"
#include "src/gx_tree_view_scroll_info_get.c"
#include "src/gx_tree_view_selected_get.c"
#include "src/gx_tree_view_selected_set.c"
#include "src/gx_vertical_list_children_position.c"
#include "src/gx_vertical_list_create.c"
#include "src/gx_vertical_list_down_wrap.c"
#include "src/gx_vertical_list_event_process.c"
#include "src/gx_vertical_list_page_index_set.c"
#include "src/gx_vertical_list_scroll.c"
#include "src/gx_vertical_list_scroll_info_get.c"
#include "src/gx_vertical_list_selected_index_get.c"
#include "src/gx_vertical_list_selected_set.c"
#include "src/gx_vertical_list_selected_visible.c"
#include "src/gx_vertical_list_selected_widget_get.c"
#include "src/gx_vertical_list_slide_back_check.c"
#include "src/gx_vertical_list_total_rows_set.c"
#include "src/gx_vertical_list_up_wrap.c"
#include "src/gx_vertical_scrollbar_create.c"
#include "src/gx_widget_allocate.c"
#include "src/gx_widget_attach.c"
#include "src/gx_widget_back_attach.c"
#include "src/gx_widget_back_link.c"
#include "src/gx_widget_back_move.c"
#include "src/gx_widget_background_draw.c"
#include "src/gx_widget_block_move.c"
#include "src/gx_widget_border_draw.c"
#include "src/gx_widget_border_style_set.c"
#include "src/gx_widget_border_width_get.c"
#include "src/gx_widget_canvas_get.c"
#include "src/gx_widget_child_clipping_update.c"
#include "src/gx_widget_child_detect.c"
#include "src/gx_widget_child_focus_assign.c"
#include "src/gx_widget_children_draw.c"
#include "src/gx_widget_children_event_process.c"
#include "src/gx_widget_client_get.c"
#include "src/gx_widget_client_index_get.c"
#include "src/gx_widget_clipping_update.c"
#include "src/gx_widget_color_get.c"
#include "src/gx_widget_context_fill_set.c"
#include "src/gx_widget_create.c"
#include "src/gx_widget_created_test.c"
#include "src/gx_widget_delete.c"
#include "src/gx_widget_detach.c"
#include "src/gx_widget_draw.c"
#include "src/gx_widget_draw_set.c"
#include "src/gx_widget_event_generate.c"
#include "src/gx_widget_event_process.c"
#include "src/gx_widget_event_process_set.c"
#include "src/gx_widget_event_to_parent.c"
#include "src/gx_widget_fill_color_set.c"
#include "src/gx_widget_find.c"
#include "src/gx_widget_first_child_get.c"
#include "src/gx_widget_first_client_child_get.c"
#include "src/gx_widget_focus_next.c"
#include "src/gx_widget_focus_previous.c"
#include "src/gx_widget_font_get.c"
#include "src/gx_widget_free.c"
#include "src/gx_widget_front_move.c"
#include "src/gx_widget_height_get.c"
#include "src/gx_widget_hide.c"
#include "src/gx_widget_last_child_get.c"
#include "src/gx_widget_last_client_child_get.c"
#include "src/gx_widget_link.c"
#include "src/gx_widget_nav_order_initialize.c"
#include "src/gx_widget_next_client_child_get.c"
#include "src/gx_widget_next_sibling_get.c"
#include "src/gx_widget_parent_get.c"
#include "src/gx_widget_pixelmap_get.c"
#include "src/gx_widget_previous_sibling_get.c"
#include "src/gx_widget_resize.c"
#include "src/gx_widget_scroll_shift.c"
#include "src/gx_widget_shift.c"
#include "src/gx_widget_show.c"
#include "src/gx_widget_status_add.c"
#include "src/gx_widget_status_get.c"
#include "src/gx_widget_status_remove.c"
#include "src/gx_widget_status_test.c"
#include "src/gx_widget_string_get.c"
#include "src/gx_widget_style_add.c"
#include "src/gx_widget_style_get.c"
#include "src/gx_widget_style_remove.c"
#include "src/gx_widget_style_set.c"
#include "src/gx_widget_text_blend.c"
#include "src/gx_widget_text_draw.c"
#include "src/gx_widget_text_id_draw.c"
#include "src/gx_widget_top_visible_child_find.c"
#include "src/gx_widget_transparent_pixelmap_detect.c"
#include "src/gx_widget_type_find.c"
#include "src/gx_widget_unlink.c"
#include "src/gx_widget_width_get.c"
#include "src/gx_window_background_draw.c"
#include "src/gx_window_border_draw.c"
#include "src/gx_window_client_height_get.c"
#include "src/gx_window_client_scroll.c"
#include "src/gx_window_client_width_get.c"
#include "src/gx_window_close.c"
#include "src/gx_window_create.c"
#include "src/gx_window_draw.c"
#include "src/gx_window_event_process.c"
#include "src/gx_window_execute.c"
#include "src/gx_window_root_create.c"
#include "src/gx_window_root_delete.c"
#include "src/gx_window_root_event_process.c"
#include "src/gx_window_root_find.c"
#include "src/gx_window_scroll.c"
#include "src/gx_window_scroll_info_get.c"
#include "src/gx_window_scrollbar_find.c"
#include "src/gx_window_view_update_detect.c"
#include "src/gx_window_wallpaper_get.c"
#include "src/gx_window_wallpaper_set.c"
#include "src/gxe_accordion_menu_create.c"
#include "src/gxe_accordion_menu_event_process.c"
#include "src/gxe_accordion_menu_position.c"
#include "src/gxe_animation_canvas_define.c"
#include "src/gxe_animation_create.c"
#include "src/gxe_animation_delete.c"
#include "src/gxe_animation_drag_disable.c"
#include "src/gxe_animation_drag_enable.c"
#include "src/gxe_animation_landing_speed_set.c"
#include "src/gxe_animation_start.c"
#include "src/gxe_animation_stop.c"
#include "src/gxe_binres_font_load.c"
#include "src/gxe_binres_language_count_get.c"
#include "src/gxe_binres_language_info_load.c"
#include "src/gxe_binres_language_table_load.c"
#include "src/gxe_binres_pixelmap_load.c"
#include "src/gxe_binres_theme_load.c"
#include "src/gxe_brush_default.c"
#include "src/gxe_brush_define.c"
#include "src/gxe_button_create.c"
#include "src/gxe_button_deselect.c"
#include "src/gxe_button_event_process.c"
#include "src/gxe_button_select.c"
#include "src/gxe_canvas_alpha_set.c"
#include "src/gxe_canvas_arc_draw.c"
#include "src/gxe_canvas_block_move.c"
#include "src/gxe_canvas_circle_draw.c"
#include "src/gxe_canvas_create.c"
#include "src/gxe_canvas_delete.c"
#include "src/gxe_canvas_drawing_complete.c"
#include "src/gxe_canvas_drawing_initiate.c"
#include "src/gxe_canvas_ellipse_draw.c"
#include "src/gxe_canvas_hardware_layer_bind.c"
#include "src/gxe_canvas_hide.c"
#include "src/gxe_canvas_line_draw.c"
#include "src/gxe_canvas_memory_define.c"
#include "src/gxe_canvas_mouse_define.c"
#include "src/gxe_canvas_mouse_hide.c"
#include "src/gxe_canvas_mouse_show.c"
#include "src/gxe_canvas_offset_set.c"
#include "src/gxe_canvas_pie_draw.c"
#include "src/gxe_canvas_pixel_draw.c"
#include "src/gxe_canvas_pixelmap_blend.c"
#include "src/gxe_canvas_pixelmap_draw.c"
#include "src/gxe_canvas_pixelmap_get.c"
#include "src/gxe_canvas_pixelmap_rotate.c"
#include "src/gxe_canvas_pixelmap_tile.c"
#include "src/gxe_canvas_polygon_draw.c"
#include "src/gxe_canvas_rectangle_draw.c"
#include "src/gxe_canvas_rotated_text_draw.c"
#include "src/gxe_canvas_shift.c"
#include "src/gxe_canvas_show.c"
#include "src/gxe_canvas_text_draw.c"
#include "src/gxe_checkbox_create.c"
#include "src/gxe_checkbox_event_process.c"
#include "src/gxe_checkbox_pixelmap_set.c"
#include "src/gxe_checkbox_select.c"
#include "src/gxe_circular_gauge_angle_get.c"
#include "src/gxe_circular_gauge_angle_set.c"
#include "src/gxe_circular_gauge_animation_set.c"
#include "src/gxe_circular_gauge_create.c"
#include "src/gxe_circular_gauge_event_process.c"
#include "src/gxe_context_brush_default.c"
#include "src/gxe_context_brush_define.c"
#include "src/gxe_context_brush_get.c"
#include "src/gxe_context_brush_pattern_set.c"
#include "src/gxe_context_brush_set.c"
#include "src/gxe_context_brush_style_set.c"
#include "src/gxe_context_brush_width_set.c"
#include "src/gxe_context_color_get.c"
#include "src/gxe_context_fill_color_set.c"
#include "src/gxe_context_font_get.c"
#include "src/gxe_context_font_set.c"
#include "src/gxe_context_line_color_set.c"
#include "src/gxe_context_pixelmap_get.c"
#include "src/gxe_context_pixelmap_set.c"
#include "src/gxe_context_raw_brush_define.c"
#include "src/gxe_context_raw_fill_color_set.c"
#include "src/gxe_context_raw_line_color_set.c"
#include "src/gxe_context_string_get.c"
#include "src/gxe_display_active_language_set.c"
#include "src/gxe_display_color_set.c"
#include "src/gxe_display_color_table_set.c"
#include "src/gxe_display_create.c"
#include "src/gxe_display_delete.c"
#include "src/gxe_display_font_table_set.c"
#include "src/gxe_display_language_table_get.c"
#include "src/gxe_display_language_table_set.c"
#include "src/gxe_display_pixelmap_table_set.c"
#include "src/gxe_display_string_get.c"
#include "src/gxe_display_string_table_get.c"
#include "src/gxe_display_theme_install.c"
#include "src/gxe_drop_list_close.c"
#include "src/gxe_drop_list_create.c"
#include "src/gxe_drop_list_event_process.c"
#include "src/gxe_drop_list_open.c"
#include "src/gxe_drop_list_pixelmap_set.c"
#include "src/gxe_drop_list_popup_get.c"
#include "src/gxe_horizontal_list_children_position.c"
#include "src/gxe_horizontal_list_create.c"
#include "src/gxe_horizontal_list_event_process.c"
#include "src/gxe_horizontal_list_page_index_set.c"
#include "src/gxe_horizontal_list_selected_index_get.c"
#include "src/gxe_horizontal_list_selected_set.c"
#include "src/gxe_horizontal_list_selected_widget_get.c"
#include "src/gxe_horizontal_list_total_columns_set.c"
#include "src/gxe_horizontal_scrollbar_create.c"
#include "src/gxe_icon_button_create.c"
#include "src/gxe_icon_button_pixelmap_set.c"
#include "src/gxe_icon_create.c"
#include "src/gxe_icon_event_process.c"
#include "src/gxe_icon_pixelmap_set.c"
#include "src/gxe_image_reader_create.c"
#include "src/gxe_image_reader_palette_set.c"
#include "src/gxe_image_reader_start.c"
#include "src/gxe_line_chart_create.c"
#include "src/gxe_line_chart_update.c"
#include "src/gxe_line_chart_y_scale_calculate.c"
#include "src/gxe_menu_create.c"
#include "src/gxe_menu_event_process.c"
#include "src/gxe_menu_insert.c"
#include "src/gxe_menu_remove.c"
#include "src/gxe_menu_text_offset_set.c"
#include "src/gxe_multi_line_text_button_create.c"
#include "src/gxe_multi_line_text_button_event_process.c"
#include "src/gxe_multi_line_text_button_text_id_set.c"
#include "src/gxe_multi_line_text_button_text_set.c"
#include "src/gxe_multi_line_text_input_backspace.c"
#include "src/gxe_multi_line_text_input_buffer_clear.c"
#include "src/gxe_multi_line_text_input_buffer_get.c"
#include "src/gxe_multi_line_text_input_char_insert.c"
#include "src/gxe_multi_line_text_input_create.c"
#include "src/gxe_multi_line_text_input_cursor_pos_get.c"
#include "src/gxe_multi_line_text_input_delete.c"
#include "src/gxe_multi_line_text_input_down_arrow.c"
#include "src/gxe_multi_line_text_input_end.c"
#include "src/gxe_multi_line_text_input_event_process.c"
#include "src/gxe_multi_line_text_input_fill_color_set.c"
#include "src/gxe_multi_line_text_input_home.c"
#include "src/gxe_multi_line_text_input_left_arrow.c"
#include "src/gxe_multi_line_text_input_right_arrow.c"
#include "src/gxe_multi_line_text_input_style_add.c"
#include "src/gxe_multi_line_text_input_style_remove.c"
#include "src/gxe_multi_line_text_input_style_set.c"
#include "src/gxe_multi_line_text_input_text_color_set.c"
#include "src/gxe_multi_line_text_input_text_select.c"
#include "src/gxe_multi_line_text_input_text_set.c"
#include "src/gxe_multi_line_text_input_up_arrow.c"
#include "src/gxe_multi_line_text_view_create.c"
#include "src/gxe_multi_line_text_view_event_process.c"
#include "src/gxe_multi_line_text_view_font_set.c"
#include "src/gxe_multi_line_text_view_line_space_set.c"
#include "src/gxe_multi_line_text_view_scroll_info_get.c"
#include "src/gxe_multi_line_text_view_text_color_set.c"
#include "src/gxe_multi_line_text_view_text_id_set.c"
#include "src/gxe_multi_line_text_view_text_set.c"
#include "src/gxe_multi_line_text_view_whitespace_set.c"
#include "src/gxe_numeric_pixelmap_prompt_create.c"
#include "src/gxe_numeric_pixelmap_prompt_format_function_set.c"
#include "src/gxe_numeric_pixelmap_prompt_value_set.c"
#include "src/gxe_numeric_prompt_create.c"
#include "src/gxe_numeric_prompt_format_function_set.c"
#include "src/gxe_numeric_prompt_value_set.c"
#include "src/gxe_numeric_scroll_wheel_create.c"
#include "src/gxe_numeric_scroll_wheel_range_set.c"
#include "src/gxe_pixelmap_button_create.c"
#include "src/gxe_pixelmap_button_event_process.c"
#include "src/gxe_pixelmap_button_pixelmap_set.c"
#include "src/gxe_pixelmap_prompt_create.c"
#include "src/gxe_pixelmap_prompt_pixelmap_set.c"
#include "src/gxe_pixelmap_slider_create.c"
#include "src/gxe_pixelmap_slider_event_process.c"
#include "src/gxe_pixelmap_slider_pixelmap_set.c"
#include "src/gxe_progress_bar_create.c"
#include "src/gxe_progress_bar_event_process.c"
#include "src/gxe_progress_bar_font_set.c"
#include "src/gxe_progress_bar_info_set.c"
#include "src/gxe_progress_bar_pixelmap_set.c"
#include "src/gxe_progress_bar_range_set.c"
#include "src/gxe_progress_bar_text_color_set.c"
#include "src/gxe_progress_bar_value_set.c"
#include "src/gxe_prompt_create.c"
#include "src/gxe_prompt_event_process.c"
#include "src/gxe_prompt_font_set.c"
#include "src/gxe_prompt_text_color_set.c"
#include "src/gxe_prompt_text_get.c"
#include "src/gxe_prompt_text_id_set.c"
#include "src/gxe_prompt_text_set.c"
#include "src/gxe_radial_progress_bar_anchor_set.c"
#include "src/gxe_radial_progress_bar_create.c"
#include "src/gxe_radial_progress_bar_event_process.c"
#include "src/gxe_radial_progress_bar_font_set.c"
#include "src/gxe_radial_progress_bar_info_set.c"
#include "src/gxe_radial_progress_bar_text_color_set.c"
#include "src/gxe_radial_progress_bar_value_set.c"
#include "src/gxe_radial_slider_anchor_angles_set.c"
#include "src/gxe_radial_slider_angle_set.c"
#include "src/gxe_radial_slider_animation_set.c"
#include "src/gxe_radial_slider_animation_start.c"
#include "src/gxe_radial_slider_create.c"
#include "src/gxe_radial_slider_event_process.c"
#include "src/gxe_radial_slider_info_get.c"
#include "src/gxe_radial_slider_info_set.c"
#include "src/gxe_radial_slider_pixelmap_set.c"
#include "src/gxe_radio_button_create.c"
#include "src/gxe_radio_button_pixelmap_set.c"
#include "src/gxe_rich_text_view_create.c"
#include "src/gxe_rich_text_view_fonts_set.c"
#include "src/gxe_screen_stack_create.c"
#include "src/gxe_screen_stack_pop.c"
#include "src/gxe_screen_stack_push.c"
#include "src/gxe_screen_stack_reset.c"
#include "src/gxe_scroll_thumb_create.c"
#include "src/gxe_scroll_thumb_event_process.c"
#include "src/gxe_scroll_wheel_create.c"
#include "src/gxe_scroll_wheel_event_process.c"
#include "src/gxe_scroll_wheel_gradient_alpha_set.c"
#include "src/gxe_scroll_wheel_row_height_set.c"
#include "src/gxe_scroll_wheel_selected_background_set.c"
#include "src/gxe_scroll_wheel_selected_get.c"
#include "src/gxe_scroll_wheel_selected_set.c"
#include "src/gxe_scroll_wheel_speed_set.c"
#include "src/gxe_scroll_wheel_total_rows_set.c"
#include "src/gxe_scrollbar_event_process.c"
#include "src/gxe_scrollbar_limit_check.c"
#include "src/gxe_scrollbar_reset.c"
#include "src/gxe_scrollbar_value_set.c"
#include "src/gxe_single_line_text_input_backspace.c"
#include "src/gxe_single_line_text_input_buffer_clear.c"
#include "src/gxe_single_line_text_input_buffer_get.c"
#include "src/gxe_single_line_text_input_character_delete.c"
#include "src/gxe_single_line_text_input_character_insert.c"
#include "src/gxe_single_line_text_input_create.c"
#include "src/gxe_single_line_text_input_draw_position_get.c"
#include "src/gxe_single_line_text_input_end.c"
#include "src/gxe_single_line_text_input_event_process.c"
#include "src/gxe_single_line_text_input_fill_color_set.c"
#include "src/gxe_single_line_text_input_home.c"
#include "src/gxe_single_line_text_input_left_arrow.c"
#include "src/gxe_single_line_text_input_position_get.c"
#include "src/gxe_single_line_text_input_right_arrow.c"
#include "src/gxe_single_line_text_input_style_add.c"
#include "src/gxe_single_line_text_input_style_remove.c"
#include "src/gxe_single_line_text_input_style_set.c"
#include "src/gxe_single_line_text_input_text_color_set.c"
#include "src/gxe_single_line_text_input_text_select.c"
#include "src/gxe_single_line_text_input_text_set.c"
#include "src/gxe_slider_create.c"
#include "src/gxe_slider_event_process.c"
#include "src/gxe_slider_info_set.c"
#include "src/gxe_slider_needle_position_get.c"
#include "src/gxe_slider_travel_get.c"
#include "src/gxe_slider_value_calculate.c"
#include "src/gxe_slider_value_set.c"
#include "src/gxe_sprite_create.c"
#include "src/gxe_sprite_current_frame_set.c"
#include "src/gxe_sprite_frame_list_set.c"
#include "src/gxe_sprite_start.c"
#include "src/gxe_sprite_stop.c"
#include "src/gxe_string_scroll_wheel_create.c"
#include "src/gxe_string_scroll_wheel_event_process.c"
#include "src/gxe_string_scroll_wheel_string_id_list_set.c"
#include "src/gxe_string_scroll_wheel_string_list_set.c"
#include "src/gxe_system_active_language_set.c"
#include "src/gxe_system_animation_free.c"
#include "src/gxe_system_animation_get.c"
#include "src/gxe_system_canvas_refresh.c"
#include "src/gxe_system_dirty_mark.c"
#include "src/gxe_system_dirty_partial_add.c"
#include "src/gxe_system_draw_context_get.c"
#include "src/gxe_system_event_fold.c"
#include "src/gxe_system_event_send.c"
#include "src/gxe_system_focus_claim.c"
#include "src/gxe_system_initialize.c"
#include "src/gxe_system_language_table_get.c"
#include "src/gxe_system_language_table_set.c"
#include "src/gxe_system_memory_allocator_set.c"
#include "src/gxe_system_pen_configure.c"
#include "src/gxe_system_screen_stack_create.c"
#include "src/gxe_system_screen_stack_get.c"
#include "src/gxe_system_screen_stack_pop.c"
#include "src/gxe_system_screen_stack_push.c"
#include "src/gxe_system_scroll_appearance_get.c"
#include "src/gxe_system_scroll_appearance_set.c"
#include "src/gxe_system_start.c"
#include "src/gxe_system_string_get.c"
#include "src/gxe_system_string_table_get.c"
#include "src/gxe_system_string_width_get.c"
#include "src/gxe_system_timer_start.c"
#include "src/gxe_system_timer_stop.c"
#include "src/gxe_system_version_string_get.c"
#include "src/gxe_system_widget_find.c"
#include "src/gxe_text_button_create.c"
#include "src/gxe_text_button_event_process.c"
#include "src/gxe_text_button_font_set.c"
#include "src/gxe_text_button_text_color_set.c"
#include "src/gxe_text_button_text_get.c"
#include "src/gxe_text_button_text_id_set.c"
#include "src/gxe_text_button_text_set.c"
#include "src/gxe_text_input_cursor_blink_interval_set.c"
#include "src/gxe_text_input_cursor_height_set.c"
#include "src/gxe_text_input_cursor_width_set.c"
#include "src/gxe_text_scroll_wheel_callback_set.c"
#include "src/gxe_text_scroll_wheel_create.c"
#include "src/gxe_text_scroll_wheel_event_process.c"
#include "src/gxe_text_scroll_wheel_font_set.c"
#include "src/gxe_text_scroll_wheel_text_color_set.c"
#include "src/gxe_tree_view_create.c"
#include "src/gxe_tree_view_event_process.c"
#include "src/gxe_tree_view_indentation_set.c"
#include "src/gxe_tree_view_position.c"
#include "src/gxe_tree_view_root_line_color_set.c"
#include "src/gxe_tree_view_root_pixelmap_set.c"
#include "src/gxe_tree_view_selected_get.c"
#include "src/gxe_tree_view_selected_set.c"
#include "src/gxe_utility_bidi_paragraph_reorder.c"
#include "src/gxe_utility_bidi_resolved_text_info_delete.c"
#include "src/gxe_utility_canvas_to_bmp.c"
#include "src/gxe_utility_circle_point_get.c"
#include "src/gxe_utility_gradient_create.c"
#include "src/gxe_utility_gradient_delete.c"
#include "src/gxe_utility_ltoa.c"
#include "src/gxe_utility_pixelmap_resize.c"
#include "src/gxe_utility_pixelmap_rotate.c"
#include "src/gxe_utility_pixelmap_simple_rotate.c"
#include "src/gxe_utility_rectangle_center.c"
#include "src/gxe_utility_rectangle_center_find.c"
#include "src/gxe_utility_rectangle_combine.c"
#include "src/gxe_utility_rectangle_compare.c"
#include "src/gxe_utility_rectangle_define.c"
#include "src/gxe_utility_rectangle_overlap_detect.c"
#include "src/gxe_utility_rectangle_point_detect.c"
#include "src/gxe_utility_rectangle_resize.c"
#include "src/gxe_utility_rectangle_shift.c"
#include "src/gxe_utility_string_to_alphamap.c"
#include "src/gxe_vertical_list_children_position.c"
#include "src/gxe_vertical_list_create.c"
#include "src/gxe_vertical_list_event_process.c"
#include "src/gxe_vertical_list_page_index_set.c"
#include "src/gxe_vertical_list_selected_index_get.c"
#include "src/gxe_vertical_list_selected_set.c"
#include "src/gxe_vertical_list_selected_widget_get.c"
#include "src/gxe_vertical_list_total_rows_set.c"
#include "src/gxe_vertical_scrollbar_create.c"
#include "src/gxe_widget_allocate.c"
#include "src/gxe_widget_attach.c"
#include "src/gxe_widget_back_attach.c"
#include "src/gxe_widget_back_move.c"
#include "src/gxe_widget_block_move.c"
#include "src/gxe_widget_border_style_set.c"
#include "src/gxe_widget_border_width_get.c"
#include "src/gxe_widget_canvas_get.c"
#include "src/gxe_widget_child_detect.c"
#include "src/gxe_widget_client_get.c"
#include "src/gxe_widget_color_get.c"
#include "src/gxe_widget_create.c"
#include "src/gxe_widget_created_test.c"
#include "src/gxe_widget_delete.c"
#include "src/gxe_widget_detach.c"
#include "src/gxe_widget_draw_set.c"
#include "src/gxe_widget_event_generate.c"
#include "src/gxe_widget_event_process.c"
#include "src/gxe_widget_event_process_set.c"
#include "src/gxe_widget_event_to_parent.c"
#include "src/gxe_widget_fill_color_set.c"
#include "src/gxe_widget_find.c"
#include "src/gxe_widget_first_child_get.c"
#include "src/gxe_widget_focus_next.c"
#include "src/gxe_widget_focus_previous.c"
#include "src/gxe_widget_font_get.c"
#include "src/gxe_widget_free.c"
#include "src/gxe_widget_front_move.c"
#include "src/gxe_widget_height_get.c"
#include "src/gxe_widget_hide.c"
#include "src/gxe_widget_last_child_get.c"
#include "src/gxe_widget_next_sibling_get.c"
#include "src/gxe_widget_parent_get.c"
#include "src/gxe_widget_pixelmap_get.c"
#include "src/gxe_widget_previous_sibling_get.c"
#include "src/gxe_widget_resize.c"
#include "src/gxe_widget_shift.c"
#include "src/gxe_widget_show.c"
#include "src/gxe_widget_status_add.c"
#include "src/gxe_widget_status_get.c"
#include "src/gxe_widget_status_remove.c"
#include "src/gxe_widget_status_test.c"
#include "src/gxe_widget_string_get.c"
#include "src/gxe_widget_style_add.c"
#include "src/gxe_widget_style_get.c"
#include "src/gxe_widget_style_remove.c"
#include "src/gxe_widget_style_set.c"
#include "src/gxe_widget_text_blend.c"
#include "src/gxe_widget_top_visible_child_find.c"
#include "src/gxe_widget_type_find.c"
#include "src/gxe_widget_width_get.c"
#include "src/gxe_window_client_height_get.c"
#include "src/gxe_window_client_scroll.c"
#include "src/gxe_window_client_width_get.c"
#include "src/gxe_window_close.c"
#include "src/gxe_window_create.c"
#include "src/gxe_window_event_process.c"
#include "src/gxe_window_execute.c"
#include "src/gxe_window_root_create.c"
#include "src/gxe_window_root_delete.c"
#include "src/gxe_window_root_event_process.c"
#include "src/gxe_window_root_find.c"
#include "src/gxe_window_scroll_info_get.c"
#include "src/gxe_window_scrollbar_find.c"
#include "src/gxe_window_wallpaper_get.c"
#include "src/gxe_window_wallpaper_set.c"

#include "src/gxe_generic_scroll_wheel_children_position.c"
#include "src/gxe_generic_scroll_wheel_create.c"
#include "src/gxe_generic_scroll_wheel_event_process.c"
#include "src/gxe_generic_scroll_wheel_row_height_set.c"
#include "src/gxe_generic_scroll_wheel_total_rows_set.c"
#include "src/gxe_utility_bidi_paragraph_reorder.c"
#include "src/gxe_utility_bidi_resolved_text_info_delete.c"
